//*----------------------------------------------------------------------------
// SPIC.C
//*----------------------------------------------------------------------------
#include "tools.h"
//*----------------------------------------------------------------------------
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------


void SPI_PORT_Init(void) // SPI-PORT DOGM132/128/DOGS102 
{
  	// === SPIC PORT CONFIG ===

  	PORTC_DIRSET  = (1 << SPI_MOSI) | (1 << SPI_SCK) ; 
   	PORTC_DIRCLR  = (1 << SPI_MISO);    
}

void SPI_Init(void) // DOGM132/128/DOGS102 mit SPIC
{
	
	SPIC.CTRL =  SPI_MODE_3_gc | SPI_PRESCALER_DIV4_gc | (1<< SPI_CLK2X_bp) | (1<< SPI_ENABLE_bp) | (1<< SPI_MASTER_bp);
	SPIC.INTCTRL = SPI_INTLVL_OFF_gc;
  	SPIC.STATUS = 0;
  
}

