//*----------------------------------------------------------------------------
// TOOLS.H
//*----------------------------------------------------------------------------
#ifndef __TOOLS_H
#define __TOOLS_H
//*----------------------------------------------------------------------------
// HIER STEHEN ALLE INCLUDES
// in allen Dateien muss deshalb nur die "tools.h" eingebunden werden
//*----------------------------------------------------------------------------
#include <avr/pgmspace.h>
#include "avr_compiler.h"
#include "typedefs.h"
#include "spic.h"
#include "font.h"
#include "dogm-graphic.h"
// KONSTANTEN
//*----------------------------------------------------------------------------
	

//*----------------------------------------------------------------------------

//*----------------------------------------------------------------------------
// FUNKTIONS-PROTOTYPEN TOOLS.C
//*----------------------------------------------------------------------------
void system_clocks_init(void);	// tools.c Systemtakt
int dogm128_putchar(char c, FILE *stream); // // bindet printf() einvoid sdcard(void);

// ADC
uint8_t read_calibration_byte( uint8_t index );
void adca_sweep_read(unsigned char nch, signed int *pdata);
void adca_init(void);
signed int adca_read(unsigned char channel);
#endif
